//Make sure the DOM has loaded first.
window.addEventListener('DOMContentLoaded', function(){
	//Load the canvas where we will display our game.
	var canvas = document.getElementById('canvas');
	//Load the game engine.
	var engine = new BABYLON.Engine(canvas, true);

	var createScene = function(){
		//Create a basic scene object.
		var scene = new BABYLON.Scene(engine);

		//Create a camera and set to position (0,5,-10)
		var camera = new BABYLON.FreeCamera('camera1',
			new BABYLON.Vector3(0,5,-10), scene);

		//Attach the camera to the canvas.
		camera.attachControl(canvas, false);

		//Create a basic light aiming 0,1,0 (to the sky).
		var light = new BABYLON.HemisphericLight('light1',
			new BABYLON.Vector3(0,1,0), scene);

		//Create a built in sphere shape. Its constructor takes 4 params:
		//name, division, radius, scene.
		var sphere = BABYLON.Mesh.CreateSphere('sphere1', 16, 2, scene);

		//Move the sphere upward 1/2 pf ots height.
		sphere.position.y = 1;

		//Create a built in "ground" shape. Its constructor takes 5 params:
		//name, width, height, subdivisions and scene.
		var ground = BABYLON.Mesh.CreateGround('ground1', 6, 6, 2, scene);

		//Return the generated scene.
		return scene;
	}

	//Call the create scene function.
	var scene = createScene();
	//Use the render engine.
	engine.runRenderLoop(function(){
		scene.render();
	});
	//Implement a windows resize event handler.
	window.addEventListener('resize', function(){
		engine.resize();
	});
	console.log("Done");
});